#ifndef INCLUDED_JOYSTICK
#define INCLUDED_JOYSTICK

#include "SDL.h"

#include "Pad.h"

class Joystick : public Pad {
public:
    SDL_Joystick *joy;
    Sint16 axis;

    Joystick(SDL_Joystick *j);
    ~Joystick(void);

    void check(void);
};

#endif
